Skip to main content
POST
https://enterprise.spacemedia.uk
/
api
/
v1
/
subscriptions
/
subscribe
/
{package}
/
payment-verify
Verify Subscription Checkout
curl --request POST \
  --url https://enterprise.spacemedia.uk/api/v1/subscriptions/subscribe/{package}/payment-verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payment_intent_id": "80a6bb2d-1f32-4a4d-915f-fb0f8ec43f59"
}
'
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({payment_intent_id: '80a6bb2d-1f32-4a4d-915f-fb0f8ec43f59'})
};

fetch('https://enterprise.spacemedia.uk/api/v1/subscriptions/subscribe/{package}/payment-verify', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://enterprise.spacemedia.uk/api/v1/subscriptions/subscribe/{package}/payment-verify",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'payment_intent_id' => '80a6bb2d-1f32-4a4d-915f-fb0f8ec43f59'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
import requests

url = "https://enterprise.spacemedia.uk/api/v1/subscriptions/subscribe/{package}/payment-verify"

payload = { "payment_intent_id": "80a6bb2d-1f32-4a4d-915f-fb0f8ec43f59" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "data": [
    {
      "id": "8d05960b-2460-4e4a-937b-fd89aa8c0f9a",
      "uuid": "8d05960b-2460-4e4a-937b-fd89aa8c0f9a",
      "is_active": true,
      "package": {
        "id": "pkg_pro_2026",
        "uuid": "pkg_pro_2026",
        "name": "Pro Organization",
        "type": "membership",
        "price": 49,
        "currency": "GBP",
        "interval": "monthly",
        "status": "published"
      },
      "gateway": "stripe"
    }
  ]
}
{
  "success": false,
  "message": "Missing bearer token"
}
{
  "success": false,
  "message": "This action is unauthorized."
}
{
  "success": false,
  "message": "Resource not found"
}
{
  "success": false,
  "message": "Validation failed.",
  "errors": {
    "title": [
      "The title field is required."
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
string

Use application/json for API responses.

Authorization
string

Bearer access token. Use Bearer <YOUR_ACCESS_TOKEN>.

X-User-Id
string

Optional user UUID to perform the request on behalf of a user in the same organization.

Path Parameters

package
string
required

The ID of the membership package to subscribe to.

Body

application/json

The body is of type object.

Response

Success

The response is of type object.